Ask Your Question
2

dnf update show gstreamer conflicts

asked 2018-06-04 08:48:14 -0500

Orriginal gravatar image

updated 2018-06-04 10:17:58 -0500

villykruse gravatar image

Just did a sudo dnf update and got the following

Failed to synchronize cache for repo 'negativo17.org_repos', disabling.
Last metadata expiration check: 1:00:36 ago on Mon 04 Jun 2018 02:42:30 PM CEST.
Dependencies resolved.

 Problem: package gstreamer1-plugins-ugly-1.14.0-1.fc28.x86_64 requires gstreamer1-plugins-ugly-free(x86-64) = 1.14.0, but none of the providers can be installed
  - cannot install both gstreamer1-plugins-ugly-free-1.14.1-3.fc28.x86_64 and gstreamer1-plugins-ugly-free-1.14.0-1.fc28.x86_64
  - cannot install both gstreamer1-plugins-ugly-free-1.14.0-1.fc28.x86_64 and gstreamer1-plugins-ugly-free-1.14.1-3.fc28.x86_64
  - cannot install the best update candidate for package gstreamer1-plugins-ugly-free-1.14.0-1.fc28.x86_64
  - cannot install the best update candidate for package gstreamer1-plugins-ugly-1.14.0-1.fc28.x86_64
================================================================================
 Package                         Arch      Version             Repository  Size
================================================================================
Skipping packages with conflicts:
(add '--best --allowerasing' to command line to force their upgrade):
 gstreamer1-plugins-ugly-free    x86_64    1.14.1-3.fc28       updates     82 k

Transaction Summary
================================================================================
Skip  1 Package
edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
3

answered 2018-06-04 09:20:22 -0500

clnetbox gravatar image

updated 2018-06-06 04:36:58 -0500

This is just a gstreamer1 dependency issue.
The needed package is still in a testing repo.

Temporarily enable the RPM Fusion testing repo as a workaround :

sudo dnf update --enablerepo=rpmfusion-free-updates-testing

Alternatively wait until the package is pushed to the updates repo.

This kind of problem sometimes occurs when dependencies which are installed from RPM Fusion are not updated at the same time as main packages from the fedora repositories. One other good example is the chromium web browser. When the chromium browser package gets updated, the chromium-libs-media-freeworld package (in case installed) often is still not available in the RPM Fusion free updates repository.
In this special case the package should be removed, because otherwise chromium doesn't work properly.

Update :
Meanwhile gstreamer1-plugins-ugly-1.14.1 has been pushed to the RPM Fusion free updates repository.

edit flag offensive delete link more

Comments

Thanks for That ;-)

Orriginal gravatar imageOrriginal ( 2018-06-05 04:05:27 -0500 )edit

@Orriginal : You're welcome ! :)

clnetbox gravatar imageclnetbox ( 2018-06-05 06:25:29 -0500 )edit

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

Stats

Asked: 2018-06-04 08:48:14 -0500

Seen: 223 times

Last updated: Jun 06 '18